Create a booking
curl --request POST \
--url https://api.sapt.ai/projects/{projectId}/calendar/bookings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventTypeId": 123,
"start": "<string>",
"attendee": {
"name": "<string>",
"email": "[email protected]",
"timeZone": "<string>",
"phoneNumber": "<string>"
},
"metadata": {},
"bookingFieldsResponses": {},
"reservationUid": "<string>"
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/calendar/bookings"
payload = {
"eventTypeId": 123,
"start": "<string>",
"attendee": {
"name": "<string>",
"email": "[email protected]",
"timeZone": "<string>",
"phoneNumber": "<string>"
},
"metadata": {},
"bookingFieldsResponses": {},
"reservationUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventTypeId: 123,
start: '<string>',
attendee: {
name: '<string>',
email: '[email protected]',
timeZone: '<string>',
phoneNumber: '<string>'
},
metadata: {},
bookingFieldsResponses: {},
reservationUid: '<string>'
})
};
fetch('https://api.sapt.ai/projects/{projectId}/calendar/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bookingUid": "<string>",
"start": "<string>",
"end": "<string>",
"joinUrl": "<string>",
"rescheduleUrl": "<string>",
"cancelUrl": "<string>",
"attendee": {
"name": "<string>",
"email": "<string>"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Calendar
Create a booking
Create a booking for an event type at a specific start time. Persists on the connected calendar provider and emits a calendar.booking.created audit event.
POST
/
projects
/
{projectId}
/
calendar
/
bookings
Create a booking
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Body
application/json